%define		module		ruamel.yaml
Summary:	YAML 1.2 loader/dumper for Python 3
Summary(pl.UTF-8):	Biblioteka do wczytywania/zrzucania YAML-a 1.2 dla Pythona 3
Name:		python3-%{module}
Version:	0.18.14
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ruamel-yaml/
Source0:	https://files.pythonhosted.org/packages/source/r/ruamel.yaml/%{module}-%{version}.tar.gz
# Source0-md5:	367c7a1c5cad44704ee06ee625e5a06e
URL:		https://pypi.org/project/ruamel.yaml/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:28.7.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML parser/emitter that supports roundtrip preservation of comments,
seq/map flow style and map key order.

%description -l pl.UTF-8
Biblioteka do analizy/tworzenia YAML-a zachowująca komentarze i
kolejność kluczy w mapach.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.md
%{py3_sitescriptdir}/ruamel/yaml
%{py3_sitescriptdir}/ruamel.yaml-%{version}-py*.egg-info
%changelog
* Sun Jul 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-ruamel.yaml.git;a=log;h=master

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> cf3f3ac
- updated simple URL

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> c7bc7a0
- python-ruamel.yaml.spec updated to 0.18.14 for python 3.9+

* Sat Apr 19 2025 Jan Palus <atler@pld-linux.org> 6f77915
- up to 0.16.13

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 27611f4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ecd191c
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> dd6eaed
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7f438be
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 716463e
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 6756164
- setuptools epoch

* Tue Mar 02 2021 Jan Palus <atler@pld-linux.org> 9fb7989
- noarch; rel 2

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 0fcbdfc
- updated to 0.16.10
- arch-specific ruamel/yaml dir moved to ruamel.yaml.clib module, which is dependency of this package (for CPython)

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> 59ffb74
- not noarch; rel 3

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> d3e485a
- ruamel dir ownership moved to base, package %{pysitedir}/ruamel/yaml dir; rel 2

* Sat Jan 25 2020 Jan Palus <atler@pld-linux.org> 1b5f8cc
- new (version 0.16.6)

